Loading...
Searching...
No Matches
DummyReader.h File Reference

Header file for DummyReader class. More...

`#include "ReaderBase.h"`
`#include <cmath>`
`#include <ctime>`
`#include <iostream>`
`#include <omp.h>`
`#include <stdio.h>`
`#include <memory>`
`#include "CacheMemory.h"`
`#include "Fraction.h"`

Go to the source code of this file.

## Classes

class | openshot::DummyReader
| This class is used as a simple, dummy reader, which can be very useful when writing unit tests. It can return a single blank frame or it can return custom frame objects which were passed into the constructor with a Cache object. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for DummyReader class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file DummyReader.h.